Loading...
Searching...
No Matches
ISMRMRD::Dataset Class Reference

## Public Member Functions

| Dataset (const char *filename, const char *groupname, bool create_file_if_needed=true)
void | writeHeader (const std::string &xmlstring)
void | readHeader (std::string &xmlstring)
void | appendAcquisition (const Acquisition &acq)
void | readAcquisition (uint32_t index, Acquisition &acq)
uint32_t | getNumberOfAcquisitions ()
template<typename T>
void | appendImage (const std::string &var, const Image< T > &im)
void | appendImage (const std::string &var, const ISMRMRD_Image *im)
template<typename T>
void | readImage (const std::string &var, uint32_t index, Image< T > &im)
uint32_t | getNumberOfImages (const std::string &var)
template<typename T>
void | appendNDArray (const std::string &var, const NDArray< T > &arr)
void | appendNDArray (const std::string &var, const ISMRMRD_NDArray *arr)
template<typename T>
void | readNDArray (const std::string &var, uint32_t index, NDArray< T > &arr)
uint32_t | getNumberOfNDArrays (const std::string &var)
void | appendWaveform (const Waveform &wav)
void | readWaveform (uint32_t index, Waveform &wav)
uint32_t | getNumberOfWaveforms ()

## Protected Attributes

ISMRMRD_Dataset | dset_

The documentation for this class was generated from the following files:

- dataset.h
- dataset.cpp